Yate: XmlCData Class Reference

Yate

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
XmlCData Class Reference

Xml Declaration. More...

`#include <yatexml.h>`

Inheritance diagram for XmlCData:

## Public Member Functions
| XmlCData (const String &data)
| XmlCData (const XmlCData &orig)
virtual | ~XmlCData ()
const String & | getCData () const
void | toString (String &dump, const String &indent=String::empty()) const
virtual XmlCData * | xmlCData ()
Public Member Functions inherited from XmlChild
| XmlChild ()
virtual void | setParent (XmlParent *parent)
virtual XmlElement * | xmlElement ()
virtual XmlComment * | xmlComment ()
virtual XmlText * | xmlText ()
virtual XmlDeclaration * | xmlDeclaration ()
virtual XmlDoctype * | xmlDoctype ()
Public Member Functions inherited from GenObject
| GenObject ()
virtual | ~GenObject ()
virtual bool | alive () const
virtual void | destruct ()
virtual const String & | toString () const
virtual void * | getObject (const String &name) const
NamedCounter * | getObjCounter () const
NamedCounter * | setObjCounter (NamedCounter *counter)

## Additional Inherited Members
Static Public Member Functions inherited from GenObject
static void * | getObject (const String &name, const GenObject *obj)
static bool | getObjCounting ()
static void | setObjCounting (bool enable)
static NamedCounter * | getObjCounter (const String &name, bool create=true)
static ObjList & | getObjCounters ()

## Detailed Description

Xml Declaration.

A Xml CData from Xml document

## Constructor & Destructor Documentation

XmlCData | ( | const String & | data | ) |

Constructor

Parameters

  data | The CData content

XmlCData | ( | const XmlCData & | orig | ) |

Copy constructor

Parameters

  orig | Original XmlCData

virtual ~XmlCData | ( |  | ) |
| virtual

Destructor

## Member Function Documentation

const String& getCData | ( |  | ) | const
| inline

Get the CData content

Returns
  The content of this xml object

void toString | ( | String & | dump,
|  | const String & | indent = `String::empty()`
| ) |  | const

Build a String from this XmlCData

Parameters

  dump | The string where to append representation
  indent | Spaces for output

virtual XmlCData* xmlCData | ( |  | ) |
| inlinevirtual

Get the Xml CData

Returns
  This object

Reimplemented from XmlChild.

The documentation for this class was generated from the following file:

- yatexml.h